
Redmine - Defect #23200

"Private Notes" setting is removed on page reload

2016-06-29 21:50 - Jon Goldberg

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.2.2

Description

When a user encounters the "The issue has been updated by an other user while you were editing it." dialog, the "Private notes" box

is set to unchecked, even if the user has checked the box.  If that user selects "Apply my changes anyway" or "Add my notes and

discard my other changes", they will submit a private note publicly, leading to much embarassment!

Steps to replicate:

Have user A start a note on an issue.

    Have user B start a note on an issue.

    Have user A submit their comment.

    Have user B submit their comment with the "private note" box checked.

 User B will be informed that another comment has been posted. Do they

want to submit their changes anyway, or submit just the comment without

other changes?

User B selects "submit the comment without other changes".

 Expected result:

User B's comment is private.

Actual result:

User B's comment is public.

On page reload, the "Private Notes" value should remain the same.

History

#1 - 2016-06-29 22:01 - Jean-Philippe Lang

- Status changed from New to Needs feedback

Can you confirm that you're not using any plugins? This issue was reported in #21551 and fixed in 3.2.1.

#2 - 2016-06-29 22:17 - Jon Goldberg

My apologies - I looked up my Redmine info on a dev instance of our Redmine, which I hadn't realized had received an update!  Sorry I didn't spot 

#21551, I did try searching to see if this was reported.  You can close this; thank you so much for your quick response.

#3 - 2016-06-30 04:54 - Toshi MARUYAMA

- Category changed from Issues permissions to Issues

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.
